This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 825443 - html-export in org-mode doesn't create destinations for internal links
html-export in org-mode doesn't create destinations for internal links
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
15
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 05:48 EDT by Andras Simon
Modified: 2013-03-03 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:46:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a minimal test file that exposes the bug (117 bytes, application/vnd.lotus-organizer)
2012-05-26 05:48 EDT, Andras Simon
no flags Details

  None (edit)
Description Andras Simon 2012-05-26 05:48:10 EDT
Created attachment 587007 [details]
a minimal test file that exposes the bug

Description of problem:

html-export in org-mode doesn't create destinations for internal links

Version-Release number of selected component (if applicable):

emacs-23.3-8.fc15.i686

How reproducible:

always

Steps to Reproduce:

1. visit the attached file
2. export it as html (C-cC-e h)
3.
  
Actual results:

The section that is linked to doesn't have a destination for that link.

Expected results:

The section that is linked should have a destination for that link.

Additional info:

If the link contains no description ([[id-1]] and not [[id-1][The link with no destination]]), then the link itself is bad (links to the section that contains the link).
Comment 1 Fedora End Of Life 2012-08-07 12:46:12 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.